SHELL=/bin/bash

DL=USB.png Nano_cola.jpg Atben_atusb_prod_03.jpg Atben_atusb_prod_05.jpg \
   M1_dmx_video.jpg \
   UBB_production_08.JPG ubb-vga-pub-plugged-medium.jpg \
   ubb-vga-pub-1024-medium.jpg SIE_KICAD.png
GEN=schhist.png fped.png kicad.png achieve.pdf flow.pdf
PNG=atusb-front.png

.PHONY:		spotless clean upload upload-es

all:		talk.pdf
		xpdf talk.pdf

talk.pdf:	talk.tex $(GEN) $(DL) $(PNG)
		pdflatex talk

talk-es.pdf:	talk-es.tex $(GEN) $(DL) $(PNG)
		pdflatex talk-es

kicad.png:	eeschema.xwd pcbnew.xwd
		pnmcomp -xoff=0 -yoff=300 \
		  <(convert eeschema.xwd ppm:-) \
		  <(convert pcbnew.xwd ppm:- | \
		    pnmpad -white -left=900 -bottom=300) | \
		  convert - $@

schhist.png:	schhist.xwd
		convert $< $@

fped.png:	fped.xwd
		convert $< $@

USB.png:
		wget http://projects.qi-hardware.com/schhist/atusb/847b3546d90d7271690bcd17014cf2cae9482538/diff/USB.png

Nano_cola.jpg:
		wget http://en.qi-hardware.com/w/images/7/78/Nano_cola.jpg

Atben_atusb_prod_03.jpg:
		wget http://en.qi-hardware.com/w/images/0/06/Atben_atusb_prod_03.jpg

Atben_atusb_prod_05.jpg:
		wget http://en.qi-hardware.com/w/images/c/ce/Atben_atusb_prod_05.jpg

M1_dmx_video.jpg:
		wget http://en.qi-hardware.com/w/images/5/55/M1_dmx_video.jpg

UBB_production_08.JPG:
		wget http://en.qi-hardware.com/w/images/8/83/UBB_production_08.JPG

ubb-vga-pub-plugged-medium.jpg:
		wget http://downloads.qi-hardware.com/people/werner/ubb/vga/web/ubb-vga-pub-plugged-medium.jpg

ubb-vga-pub-1024-medium.jpg:
		wget http://downloads.qi-hardware.com/people/werner/ubb/vga/web/ubb-vga-pub-1024-medium.jpg

SIE_KICAD.png:
	wget http://linuxencaja.com/images/9/9d/SIE_KICAD.png

achieve.pdf:	achieve.fig
		fig2dev -L pdf $< $@

flow.pdf:	flow.fig
		fig2dev -L pdf $< $@

talk.ps:	talk.pdf
		pdf2ps $< $@

p16:		talk.ps
		mpage -8 $< | lpr

spotless:
		rm -f $(DL)

clean:
		rm -f $(GEN) talk.ps

upload:		talk.pdf
		qippl talk.pdf fisl12.pdf

upload-es:	talk-es.pdf
		qippl talk-es.pdf fisl12_es.pdf
